package java.util.prefs;

import java.io.ObjectInputStream;
import java.io.NotSerializableException;
import java.io.ObjectOutputStream;
import java.util.EventObject;

public class NodeChangeEvent extends EventObject
{
    private Preferences child;
    private static final long serialVersionUID = 8068949086596572957L;
    
    public NodeChangeEvent(Preferences source, Preferences child) {
        super(source);
        this.child = child;
    }
    
    public Preferences getParent() {
        return (Preferences)this.getSource();
    }
    
    public Preferences getChild() {
        return this.child;
    }
    
    private void writeObject(ObjectOutputStream objectOutputStream) throws NotSerializableException {
        throw new NotSerializableException("Not serializable.");
    }
    
    private void readObject(ObjectInputStream objectInputStream) throws NotSerializableException {
        throw new NotSerializableException("Not serializable.");
    }
}
